Bug 734569 - syslog-ng.service slightly borked
Summary: syslog-ng.service slightly borked
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: syslog-ng
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jose Pedro Oliveira
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-30 18:53 UTC by Lennart Poettering
Modified: 2011-12-14 18:44 UTC (History)
4 users (show)

Fixed In Version: syslog-ng-3.2.4-8.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-14 18:44:34 UTC


Attachments (Terms of Use)

Description Lennart Poettering 2011-08-30 18:53:26 UTC
syslog-ng.service currently contains the line "Sockets=syslog-ng.socket" however no such unit "syslog-ng.socket" exists. This should be changed to refer to "syslog.socket", i.e. which is the socket unit for /dev/log which is shared between all syslog implementations and which allows ad-hoc replacing the syslog implementation whithout having to close/remove/recreate the /dev/log socket.

(For more information on all of this, see http://www.freedesktop.org/wiki/Software/systemd)

Comment 1 Lennart Poettering 2011-08-30 18:54:10 UTC
Meh, the link should have been:

http://www.freedesktop.org/wiki/Software/systemd/syslog

Comment 2 Fedora Update System 2011-08-31 03:10:59 UTC
syslog-ng-3.2.4-7.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/syslog-ng-3.2.4-7.fc16

Comment 3 Fedora Update System 2011-08-31 08:29:02 UTC
syslog-ng-3.2.4-7.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/syslog-ng-3.2.4-7.fc15

Comment 4 Fedora Update System 2011-08-31 21:44:04 UTC
Package syslog-ng-3.2.4-7.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing syslog-ng-3.2.4-7.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/syslog-ng-3.2.4-7.fc16
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-09-23 19:11:25 UTC
syslog-ng-3.2.4-8.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/syslog-ng-3.2.4-8.fc16

Comment 6 Fedora Update System 2011-09-25 03:41:14 UTC
syslog-ng-3.2.4-8.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2011-10-04 21:14:39 UTC
syslog-ng-3.2.4-8.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Jose Pedro Oliveira 2011-11-04 15:02:57 UTC
Re-opening as the Sockets option change breaks some systems. Several problems reported in #742624 .

Comment 9 Jose Pedro Oliveira 2011-12-14 18:44:34 UTC
Closing.

Solution in ticket #742624 (SRPM: syslog-ng >= 3.2.5-2)


Note You need to log in before you can comment on or make changes to this bug.